ZHA stopped working after update core 2024.4.x to 2024.5.x and 2024.6.x

Hello,

my ZHA with skyconnect stopped working. I tested different versions of Hass Core > 2024.5.x

Here is the log …

Any suggestions?

Thanks a lot!

Traceback (most recent call last):
File “/usr/local/lib/python3.12/asyncio/selector_events.py”, line 1092, in _write_sendmsg
nbytes = self._sock.sendmsg(self._get_sendmsg_buffer())
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
ConnectionResetError: [Errno 104] Connection reset by peer

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/usr/local/lib/python3.12/site-packages/aiohttp/web_protocol.py”, line 452, in _handle_request
resp = await request_handler(request)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/aiohttp/web_app.py”, line 543, in _handle
resp = await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/local/lib/python3.12/site-packages/aiohttp/web_middlewares.py”, line 114, in impl
return await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/http/security_filter.py”, line 92, in security_filter_middleware
return await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/http/forwarded.py”, line 83, in forwarded_middleware
return await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/http/request_context.py”, line 26, in request_context_middleware
return await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/http/ban.py”, line 85, in ban_middleware
return await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/http/auth.py”, line 242, in auth_middleware
return await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/http/headers.py”, line 32, in headers_middleware
response = await handler(request)
^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/helpers/http.py”, line 73, in handle
result = await handler(request, **request.match_info)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/websocket_api/http.py”, line 54, in get
return await WebSocketHandler(request.app[KEY_HASS], request).async_handle()
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/usr/src/homeassistant/homeassistant/components/websocket_api/http.py”, line 473, in async_handle
await self._writer_task
File “/usr/src/homeassistant/homeassistant/components/websocket_api/http.py”, line 164, in _writer
await send_bytes_text(coalesced_messages)
File “/usr/local/lib/python3.12/site-packages/aiohttp/http_websocket.py”, line 729, in send
await self._send_frame(message, WSMsgType.TEXT, compress)
File “/usr/local/lib/python3.12/site-packages/aiohttp/http_websocket.py”, line 691, in _send_frame
await self.protocol._drain_helper()
File “/usr/local/lib/python3.12/site-packages/aiohttp/base_protocol.py”, line 95, in _drain_helper
await asyncio.shield(waiter)
ConnectionError: Connection lost

</>

Hi,

Firstly, PLEASE use code fences so others can read your data:

Second, Tell us if you’re running Home Assistant using an official HassOS image, a Docker install, a venv install, and so on.

Third, what version did the log file come from? you mention three different versions?
Which version(s) worked? Which failed?

Are you using a VM install of HASS without HAOS, and perhaps haven’t updated all of the component versions? ISTR some changes to Python minimum versions and ZHA dependencies (2024.05):

1 Like